# DataExchange
TKXSBase
Interface

# Interface_EntityIterator Class Reference

Defines an Iterator on Entities, complying with GraphTools
needs. Allows considering of various criteria
.

`#include <Interface_EntityIterator.hxx>`

Inheritance diagram for Interface_EntityIterator:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Interface_EntityIterator ()
| Defines an empty iterator (see AddList & AddItem) .
Standard_EXPORT | Interface_EntityIterator (const Handle(TColStd_HSequenceOfTransient)&list)
| Defines an iterator on a list, directly i.e. without copying it .
Standard_EXPORT void | AddList (const Handle(TColStd_HSequenceOfTransient)&list)
| Gets a list of entities and adds its to the iteration list .
Standard_EXPORT void | AddItem (const Handle(Standard_Transient)&anentity)
| Adds to the iteration list a defined entity .
Standard_EXPORT void | GetOneItem (const Handle(Standard_Transient)&anentity)
| same as AddItem (kept for compatibility)
Standard_EXPORT void | SelectType (const Handle(Standard_Type)&atype, const Standard_Boolean keep)
| Selects entities with are Kind of a given type, keep only them (is keep is True) or reject only them (if keep is False) .
Standard_EXPORT Standard_Integer | NbEntities () const
| Returns count of entities which will be iterated on Calls Start if not yet done .
Standard_EXPORT Standard_Integer | NbTyped (const Handle(Standard_Type)&type) const
| Returns count of entities of a given type (kind of) .
Standard_EXPORT Interface_EntityIterator | Typed (const Handle(Standard_Type)&type) const
| Returns the list of entities of a given type (kind of) .
virtual Standard_EXPORT void | Start () const
| Allows re-iteration (useless for the first iteration) .
Standard_EXPORT Standard_Boolean | More () const
| Says if there are other entities (vertices) to iterate the first time, calls Start .
Standard_EXPORT void | Next () const
| Sets iteration to the next entity (vertex) to give .
Standard_EXPORT const Handle_Standard_Transient & | Value () const
| Returns the current Entity iterated, to be used by Interface tools or by GraphTools (where Entity is a Vertex) .
Standard_EXPORT Handle_TColStd_HSequenceOfTransient | Content () const
| Returns the content of the Iterator, accessed through a Handle to be used by a frontal-engine logic Returns an empty Sequence if the Iterator is empty Calls Start if not yet done .
virtual Standard_EXPORT void | Destroy ()
| Clears data of iteration .
virtual Standard_EXPORT | ~Interface_EntityIterator ()

## Protected Member Functions

Standard_EXPORT void | Reset ()
| Allows subclasses of EntityIterator to reevaluate an iteration .

## Private Attributes

Handle_Interface_IntVal | thecurr
Handle_TColStd_HSequenceOfTransient | thelist

## Constructor & Destructor Documentation

Standard_EXPORT Interface_EntityIterator::Interface_EntityIterator | ( |  | ) |

Standard_EXPORT Interface_EntityIterator::Interface_EntityIterator | ( | const Handle(TColStd_HSequenceOfTransient)& | list | ) |

virtual Standard_EXPORT Interface_EntityIterator::~Interface_EntityIterator | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

Standard_EXPORT void Interface_EntityIterator::AddItem | ( | const Handle(Standard_Transient)& | anentity | ) |

Standard_EXPORT void Interface_EntityIterator::AddList | ( | const Handle(TColStd_HSequenceOfTransient)& | list | ) |

Standard_EXPORT Handle_TColStd_HSequenceOfTransient Interface_EntityIterator::Content | ( |  | ) | const

virtual Standard_EXPORT void Interface_EntityIterator::Destroy | ( |  | ) | `[virtual]`

Standard_EXPORT void Interface_EntityIterator::GetOneItem | ( | const Handle(Standard_Transient)& | anentity | ) |

Standard_EXPORT Standard_Boolean Interface_EntityIterator::More | ( |  | ) | const

Standard_EXPORT Standard_Integer Interface_EntityIterator::NbEntities | ( |  | ) | const

Standard_EXPORT Standard_Integer Interface_EntityIterator::NbTyped | ( | const Handle(Standard_Type)& | type | ) | const

Standard_EXPORT void Interface_EntityIterator::Next | ( |  | ) | const

void Interface_EntityIterator::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented in IFGraph_AllConnected, IFGraph_AllShared, IFGraph_Articulations, IFGraph_Compare, IFGraph_Cumulate, IFGraph_ExternalSources, and Interface_GraphContent.

void* Interface_EntityIterator::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented in IFGraph_AllConnected, IFGraph_AllShared, IFGraph_Articulations, IFGraph_Compare, IFGraph_Cumulate, IFGraph_ExternalSources, and Interface_GraphContent.

void* Interface_EntityIterator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented in IFGraph_AllConnected, IFGraph_AllShared, IFGraph_Articulations, IFGraph_Compare, IFGraph_Cumulate, IFGraph_ExternalSources, and Interface_GraphContent.

Standard_EXPORT void Interface_EntityIterator::Reset | ( |  | ) | `[protected]`

Standard_EXPORT void Interface_EntityIterator::SelectType | ( | const Handle(Standard_Type)& | atype,
|  | const Standard_Boolean | keep
| ) |

virtual Standard_EXPORT void Interface_EntityIterator::Start | ( |  | ) | const`[virtual]`

Standard_EXPORT Interface_EntityIterator Interface_EntityIterator::Typed | ( | const Handle(Standard_Type)& | type | ) | const

Standard_EXPORT const Handle_Standard_Transient& Interface_EntityIterator::Value | ( |  | ) | const

## Field Documentation

Handle_Interface_IntVal Interface_EntityIterator::thecurr `[private]`

Handle_TColStd_HSequenceOfTransient Interface_EntityIterator::thelist `[private]`

| Reimplemented in IFGraph_Articulations.

The documentation for this class was generated from the following file:

- Interface_EntityIterator.hxx